// initialize values for convergence checks

scalar UEqnResidual = 0;
scalar pEqnResidual = 0;
scalar TEqnResidual = 0;

scalar convergence = 0;

simple.readIfPresent("convergence", convergence);

scalar UConvergenceCriterion = convergence;
scalar pConvergenceCriterion = convergence;
scalar TConvergenceCriterion = convergence;

simple.readIfPresent("UConvergenceCriterion", UConvergenceCriterion);
simple.readIfPresent("pConvergenceCriterion", pConvergenceCriterion);
simple.readIfPresent("TConvergenceCriterion", TConvergenceCriterion);

Info
<< "Convergence criterion for U = " << UConvergenceCriterion << nl
<< "Convergence criterion for p = " << pConvergenceCriterion << nl
<< "Convergence criterion for T = " << TConvergenceCriterion << nl
<< endl;
